<template>
  <nav class="flex items-center flex-column flex-wrap md:flex-row justify-between pt-4" aria-label="Table navigation">
    <span
      class="text-sm font-semibold text-gray-900 dark:text-gray-400 mb-4 md:mb-0 block w-full md:inline md:w-auto">Showing
      <span class="font-bold text-gray-900 dark:text-white">{{ data.from }}-{{ data.to }}</span> of <span
        class="font-bold text-gray-900 dark:text-white">{{ data.total }}</span></span>
    <ul class="inline-flex flex-wrap -space-x-px rtl:space-x-reverse text-sm" v-if="data.last_page > 1">
      <li>
        <Link :disabled="data.prev_page_url" :href="data.prev_page_url" preserve-scroll
          class="disabled:opacity-75 flex items-center justify-center px-3 h-8 ms-0 leading-tight text-gray-500 bg-white border border-gray-300 rounded-s-lg hover:bg-gray-100 hover:text-gray-700 dark:bg-gray-800 dark:border-gray-700 dark:text-gray-400 dark:hover:bg-gray-700 dark:hover:text-white">
        Previous</Link>
      </li>
      <li v-for="(link, index) in data.links">
        <Link :href="link.url" v-if="index !== 0 && index !== data.links.length - 1" preserve-scroll
          class="flex items-center justify-center px-3 h-8 leading-tight text-gray-500  border border-gray-300 hover:bg-gray-100 hover:text-gray-700 dark:bg-gray-800 dark:border-gray-700 dark:text-gray-400 dark:hover:bg-gray-700 dark:hover:text-white"
          :class="link.active ? 'text-orange-500 hover:text-orange-600 bg-orange-100 hover:bg-orange-200 font-semibold' : 'bg-white'">
        {{ link.label }}</Link>
      </li>
      <li>
        <Link :disabled="data.next_page_url" :href="data.next_page_url" preserve-scroll
          class="disabled:opacity-75 flex items-center justify-center px-3 h-8 leading-tight text-gray-500 bg-white border border-gray-300 rounded-e-lg hover:bg-gray-100 hover:text-gray-700 dark:bg-gray-800 dark:border-gray-700 dark:text-gray-400 dark:hover:bg-gray-700 dark:hover:text-white">
        Next</Link>
      </li>
    </ul>
  </nav>
</template>

<script setup>
import { Link } from '@inertiajs/vue3';

defineProps({
  data: Array
})
</script>